Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 29, 30, 31 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Thu Aug 05, 2010 9:24 pm    Post subject: Reply with quote

KDE PIM 4.5 beta 2 just got tagged (no tarballs yet?):

http://websvn.kde.org/tags/kdepim/4.4.92/

Is this a problem to have ebuilds for kdepim*, that would work along with KDE 4.5?
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Sat Aug 07, 2010 3:44 pm    Post subject: Reply with quote

Unrelated to Overlay, but KDE specific question - of which package is krandr part of?
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Aug 07, 2010 4:18 pm    Post subject: Reply with quote

rahulthewall wrote:
Unrelated to Overlay, but KDE specific question - of which package is krandr part of?


huh ?

you mean this ?:
Quote:
equery b krandrtray
* Searching for krandrtray ...
kde-base/systemsettings-4.4.95 (/usr/bin/krandrtray)

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Sat Aug 07, 2010 4:31 pm    Post subject: Reply with quote

kernelOfTruth wrote:
rahulthewall wrote:
Unrelated to Overlay, but KDE specific question - of which package is krandr part of?


huh ?

you mean this ?:
Quote:
equery b krandrtray
* Searching for krandrtray ...
kde-base/systemsettings-4.4.95 (/usr/bin/krandrtray)


Yeah, that is exactly what I meant. Thanks. Sadly, my laptop does not seem powerful enough to run KDE4 these days (plus the 5-6 hours of compile each month) so I am trying to move away.
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
xibo
Apprentice
Apprentice


Joined: 21 Aug 2007
Posts: 152
Location: moving between kubuntu and ubuntu kde edition

PostPosted: Sat Aug 07, 2010 5:56 pm    Post subject: Reply with quote

if it's just 5-6 hours compile time then your laptop certainly can run kde4.
if you turn off nepomuk and strigi that is :twisted:

my atom takes >24h to build it, and it can still easily use it.
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Mon Aug 09, 2010 7:29 am    Post subject: Reply with quote

Good morning!

I use - actually - kde:live as my working environment (at my Laptop) and i'm very satisfied.

Since my last update - 2 weeks ago - i cant use the opengl desktop acceleration.
Only the xrender are functionality.

Is this a working part in kwin?
Back to top
View user's profile Send private message
BlackBronco
n00b
n00b


Joined: 09 Aug 2010
Posts: 4

PostPosted: Mon Aug 09, 2010 10:02 am    Post subject: Reply with quote

Hi, I've installed KDE from kde-live branch yesterday and got this blocker today when trying to install k3b

Code:

Total: 17 packages (6 downgrades, 11 new, 2 uninstalls), Size of downloads: 0 kB
Conflict: 12 blocks (10 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/kde

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'x11-libs/qt-gui-4.6.3', 'nomerge') pulled in by
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')
    >=x11-libs/qt-gui-4.6.3:4[accessibility,dbus] required by ('ebuild', '/', 'kde-base/libkcddb-9999', 'merge')

  ('installed', '/', 'x11-libs/qt-qt3support-4.6.3', 'nomerge') pulled in by
    >=x11-libs/qt-qt3support-4.5.1:4[accessibility,kde] required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')
    >=x11-libs/qt-qt3support-4.6.3:4[accessibility,kde] required by ('ebuild', '/', 'kde-base/libkcddb-9999', 'merge')

  ('ebuild', '/', 'x11-libs/qt-dbus-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-dbus-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')

  ('installed', '/', 'x11-libs/qt-sql-4.6.3-r2', 'nomerge') pulled in by
    >=x11-libs/qt-sql-4.6.3:4[qt3support] required by ('ebuild', '/', 'kde-base/libkcddb-9999', 'merge')
    >=x11-libs/qt-sql-4.5.1:4[qt3support] required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')

  ('ebuild', '/', 'x11-libs/qt-multimedia-4.6.2', 'merge') pulled in by
    >=x11-libs/qt-multimedia-4.5.1:4 required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')

  ('installed', '/', 'x11-libs/qt-webkit-4.6.3', 'nomerge') pulled in by
    >=x11-libs/qt-webkit-4.5.1:4[kde] required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')

  ('installed', '/', 'x11-libs/qt-script-4.6.3', 'nomerge') pulled in by
    >=x11-libs/qt-script-4.5.1:4 required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')
    >=x11-libs/qt-script-4.6.3:4 required by ('ebuild', '/', 'kde-base/libkcddb-9999', 'merge')

  ('installed', '/', 'x11-libs/qt-test-4.6.3', 'nomerge') pulled in by
    >=x11-libs/qt-test-4.6.3:4 required by ('ebuild', '/', 'kde-base/libkcddb-9999', 'merge')
    >=x11-libs/qt-test-4.5.1:4 required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')

  ('installed', '/', 'x11-libs/qt-core-4.6.3', 'nomerge') pulled in by
    >=x11-libs/qt-core-4.6.3:4[qt3support,ssl] required by ('ebuild', '/', 'kde-base/libkcddb-9999', 'merge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')

  ('installed', '/', 'x11-libs/qt-svg-4.6.3', 'nomerge') pulled in by
    >=x11-libs/qt-svg-4.5.1:4 required by ('ebuild', '/', 'app-cdr/k3b-9999', 'merge')
    >=x11-libs/qt-svg-4.6.3:4 required by ('ebuild', '/', 'kde-base/libkcddb-9999', 'merge')




Why does k3b try to pull 4.5.1 qt libs if they're even not in the tree nor overlay?

Code:

tbox k3b # emerge --sync && layman -S && eix-update && eix qt-core

[I] x11-libs/qt-core
     Available versions:  (4) 4.5.3-r2 4.6.2-r1 (~)4.6.3
        {aqua debug doc +exceptions +glib iconv optimized-qmake pch qt3support ssl}
     Installed versions:  4.6.3(4)(03:07:57 08/08/10)(exceptions glib iconv qt3support ssl -aqua -debug -doc -optimized-qmake -pch)                                                                                                                             
     Homepage:            http://qt.nokia.com/
     Description:         The Qt toolkit is a comprehensive C++ application development framework


Sorry if this is a stupid question, I am totally new to this kde-overlay stuff :)
Back to top
View user's profile Send private message
BlackBronco
n00b
n00b


Joined: 09 Aug 2010
Posts: 4

PostPosted: Mon Aug 09, 2010 3:46 pm    Post subject: Reply with quote

I did some homework, read a little about ebuilds 'n such, I wonder myself why didn't I do it earlier :oops:

Now the question is: Can I modify the k3b ebuild to use 4.6.3 Qt libs instead of the older ones and if yes, then how this could be done?
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Mon Aug 09, 2010 5:54 pm    Post subject: Reply with quote

BlackBronco wrote:
Quote:
Why does k3b try to pull 4.5.1 qt libs if they're even not in the tree nor overlay?

Do you have any old qt items in your world file? It's not trying to pull in qt-4.5.1 per se, but something equal to or greater than 4.5.1. I haven't run the overlay in a while, and I kind of doubt it, but maybe k3b 9999 now needs qt 9999? Sometimes to avoid conflicts, it's a good idea to first remove all and any qt versions, and then let packages pull in what they need.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
BlackBronco
n00b
n00b


Joined: 09 Aug 2010
Posts: 4

PostPosted: Mon Aug 09, 2010 6:22 pm    Post subject: Reply with quote

I've changed

Code:
if slot_is_at_least 4.5 "${KDE_MINIMAL}"; then
    QT_MINIMAL="${QT_MINIMAL:-4.6.3}"
else
    QT_MINIMAL="${QT_MINIMAL:-4.6.0}"
fi


to:
Code:

if slot_is_at_least 4.5 "${KDE_MINIMAL}"; then
    QT_MINIMAL="${QT_MINIMAL:-4.6.3}"
else
    QT_MINIMAL="${QT_MINIMAL:-4.6.3}"
fi


in "/var/lib/layman/kde/eclass/kde4-base.eclass" and emerge goes fine, but that is quite nasty hack to make it go.
I wonder what would be the 'right' way to do it. Anyone?
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Mon Aug 09, 2010 6:31 pm    Post subject: Reply with quote

Are the ebuilds going to be in portage on 10th when 4.5 is officially released? I am dying to play with 4.5 but this wait is killing me... :(
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Mon Aug 09, 2010 7:33 pm    Post subject: Reply with quote

Weren't they in portage briefly, and then removed when kde delayed release? I thought I saw them myself, or read a post that said they were there. :roll: If that's true, I would expect them right away.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
BlackBronco
n00b
n00b


Joined: 09 Aug 2010
Posts: 4

PostPosted: Tue Aug 10, 2010 8:32 am    Post subject: Reply with quote

TheDodger wrote:


Since my last update - 2 weeks ago - i cant use the opengl desktop acceleration.
Only the xrender are functionality.

Is this a working part in kwin?


Had the same issue here,
it could be something with Xorg autoconfiguration when you do not have xorg.conf and using that configuration in KWin,
or perhaps they're just doing some tinkering with OpenGL back-end and turned it off for a while :)
Anyway I run X -configure and added some composing extensions by hand to it and it works.
Although it seems a little choppy but of course its much better than XRender.
Back to top
View user's profile Send private message
xibo
Apprentice
Apprentice


Joined: 21 Aug 2007
Posts: 152
Location: moving between kubuntu and ubuntu kde edition

PostPosted: Tue Aug 10, 2010 12:17 pm    Post subject: Reply with quote

kdelibs, my favourite component of it
Code:

[ 22%] Building CXX object nepomuk/query/CMakeFiles/nepomukquery.dir/query.o
/usr/portage/distfiles/svn-src/kdelibs-4.5.9999/kdelibs/nepomuk/query/query.cpp: In member function ‘QString Nepomuk::Query::QueryPrivate::createFolderFilter(const QString&, Nepomuk::Query::QueryBuilderData*) const’:
/usr/portage/distfiles/svn-src/kdelibs-4.5.9999/kdelibs/nepomuk/query/query.cpp:86:156: error: cannot convert ‘KUrl::DirectoryOption’ to ‘KUrl::AdjustPathOption’ for argument ‘2’ to ‘QStringList<unnamed>::urlsToStringList(const KUrl::List&, KUrl::AdjustPathOption)’
/usr/portage/distfiles/svn-src/kdelibs-4.5.9999/kdelibs/nepomuk/query/query.cpp:89:158: error: cannot convert ‘KUrl::DirectoryOption’ to ‘KUrl::AdjustPathOption’ for argument ‘2’ to ‘QStringList<unnamed>::urlsToStringList(const KUrl::List&, KUrl::AdjustPathOption)’
/usr/portage/distfiles/svn-src/kdelibs-4.5.9999/kdelibs/nepomuk/query/query.cpp: In member function ‘QString Nepomuk::Query::Query::toSparqlQuery(Nepomuk::Query::Query::SparqlFlags) const’:
/usr/portage/distfiles/svn-src/kdelibs-4.5.9999/kdelibs/nepomuk/query/query.cpp:374:20: error: ‘CreateAskQuery’ was not declared in this scope
make[2]: *** [nepomuk/query/CMakeFiles/nepomukquery.dir/query.o] Error 1
make[1]: *** [nepomuk/query/CMakeFiles/nepomukquery.dir/all] Error 2


Happens when ebuilding and when compiling by hand ( ie without patches ). Repository not compiling at the day it's to be released makes me worry ...
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Tue Aug 10, 2010 7:08 pm    Post subject: Reply with quote

KDE 4.5 is officially unleashed: http://kde.org/announcements/4.5/
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Tue Aug 10, 2010 10:54 pm    Post subject: Reply with quote

and still not in portage...:-(
Back to top
View user's profile Send private message
Kingoftherings
Guru
Guru


Joined: 04 May 2008
Posts: 328

PostPosted: Tue Aug 10, 2010 11:13 pm    Post subject: Reply with quote

devsk wrote:
and still not in portage...:-(


The 4.5.0 ebuilds are in the kde overlay, but they're still masked. I was hoping they'd be in ~arch.
Back to top
View user's profile Send private message
jeanfrancis
Veteran
Veteran


Joined: 17 Dec 2005
Posts: 1482
Location: Québec, Canada

PostPosted: Tue Aug 10, 2010 11:57 pm    Post subject: Reply with quote

Kingoftherings wrote:
devsk wrote:
and still not in portage...:-(


The 4.5.0 ebuilds are in the kde overlay, but they're still masked. I was hoping they'd be in ~arch.


The Gentoo KDE team is kind of quick, they should merge all of this in few days. At least, it's what happened for previous releases.

You can find package.unmask files in the overlay, in Documentation/ if you want to test it out already (I've got everything to compile fine except for kget)... OR you can wait a day or two to have it into Portage :) Usually, it's masked until everything has been properly merged, then it goes ~arch.
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Tue Aug 10, 2010 11:59 pm    Post subject: Reply with quote

jeanfrancis wrote:
Kingoftherings wrote:
devsk wrote:
and still not in portage...:-(


The 4.5.0 ebuilds are in the kde overlay, but they're still masked. I was hoping they'd be in ~arch.


The Gentoo KDE team is kind of quick, they should merge all of this in few days. At least, it's what happened for previous releases.

You can find package.unmask files in the overlay, in Documentation/ if you want to test it out already (I've got everything to compile fine except for kget)... OR you can wait a day or two to have it into Portage :) Usually, it's masked until everything has been properly merged, then it goes ~arch.
That's what I don't understand. The release was postponed and overlay has gone through testing. The ebuilds can be put into portage, hard masked right away and people use them at their own risk until ~arch. Why does that need to wait?
Back to top
View user's profile Send private message
jeanfrancis
Veteran
Veteran


Joined: 17 Dec 2005
Posts: 1482
Location: Québec, Canada

PostPosted: Wed Aug 11, 2010 12:04 am    Post subject: Reply with quote

devsk wrote:
That's what I don't understand. The release was postponed and overlay has gone through testing. The ebuilds can be put into portage, hard masked right away and people use them at their own risk until ~arch. Why does that need to wait?


Well, I guess that needs to wait for someone to do it. The tarballs were released today, and you know, Gentoo devs aren't paid to do this, so they surely work/go to school/are on vacation/have a family life/etc the rest of the time. Give them the chance to do the job once they got a couple of hours to do it :). For example, if I was a Gentoo dev responsible for this task, this would have to wait a couples of days or so ;).
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Wed Aug 11, 2010 12:09 am    Post subject: Reply with quote

jeanfrancis wrote:
devsk wrote:
That's what I don't understand. The release was postponed and overlay has gone through testing. The ebuilds can be put into portage, hard masked right away and people use them at their own risk until ~arch. Why does that need to wait?


Well, I guess that needs to wait for someone to do it. The tarballs were released today, and you know, Gentoo devs aren't paid to do this, so they surely work/go to school/are on vacation/have a family life/etc the rest of the time. Give them the chance to do the job once they got a couple of hours to do it :). For example, if I was a Gentoo dev responsible for this task, this would have to wait a couples of days or so ;).
Hold on! Why do ebuilds have to wait for tarballs? Anybody who would want to install will know that tarballs are not out yet! We could have started putting the ebuilds in couple of days ago! 10th was announced last week.
Back to top
View user's profile Send private message
jeanfrancis
Veteran
Veteran


Joined: 17 Dec 2005
Posts: 1482
Location: Québec, Canada

PostPosted: Wed Aug 11, 2010 12:30 am    Post subject: Reply with quote

devsk wrote:
Hold on! Why do ebuilds have to wait for tarballs? Anybody who would want to install will know that tarballs are not out yet! We could have started putting the ebuilds in couple of days ago! 10th was announced last week.


I guess you're right on this one :) . I don't know the "policies" on when ebuilds can leave overlays for Portage, but I think I never saw ebuilds in the Portage tree (even hard-masked) of some packages that aren't released yet.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Aug 11, 2010 12:38 am    Post subject: Reply with quote

All the 4.5.0 tarballs are on all the mirrors I checked about 6 hours ago.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Wed Aug 11, 2010 12:41 am    Post subject: Reply with quote

We need to wait another day or two I guess. I have waited a long time anyway, so, I am not going to do the overlay thing now. I will assume that KDE folks delayed the release by 2 days.... :lol: :wink: :cry: Gentoo devs, you are forcing me to lie to myself... :P
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Aug 11, 2010 2:39 am    Post subject: Reply with quote

All 4.5.0 packages (binaries) are in Arch Linux x86_64 testing- I'm installing on my Arch partition as I type. :)

Rather be compiling on Gentoo, but at this point I'll take what I can get, It surely can't be much longer. :wink:
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 29, 30, 31 ... 36, 37, 38  Next
Page 30 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum